PARALLEL-SUMS(1)

NAME
parallel-sums - Calculate checksums in parallel using multiple algorithms

SYNOPSIS
parallel-sums --algo1 ALGO1FILE [--algo2 ALGO2FILE ... --algoN ALGONFILE] file1 [file2 ... fileN

parallel-sums --help

DESCRIPTION

parallel-sums is designed to make it faster and easier to create checksum files using multiple algorithms. It will only read the data from each input file once, spawning a new thread per checksum algorithm requested and running calculations in parallel.

Specify the list of desired checksum algorithms along with the output filename for each checksum type, then pass the list of files.

The output is intended to be 100% compatible with the file formats of existing tools like md5sum, sha256sum etc.

--algo ALGOSUMS
    Checksum all input files using the algorithm "algo" and output the checksums in the file ALGOSUMS.

--help
    Print usage information and list the checksum algorithms supported.

EXAMPLES

parallel-sums --md5sum MD5SUMS --sha256sum SHA256SUMS *.iso
    Read all files matching the pattern *.iso. In parallel, checksum each file using the MD5 algorithm (writing to "MD5SUMS") and checksum each file using the SHA256 algorithm (writing to "SHA256SUMS").

SEE ALSO
md5sum(1), sha1sum(1), sha256sum(1) and sha512sum(1).

COPYRIGHT
Copyright 2017-2019 Steve McIntyre (steve@einval.com)

parallel-sums may be copied under the terms and conditions of version 2 of the GNU General Public License, as published by the Free Software Foundation (Cambridge, MA, USA).

AUTHOR
Written by Steve McIntyre (steve@einval.com)